Package org.eclipse.e4.ui.workbench.modeling

# Class IModelProcessorContribution.ModelElement

java.lang.Object
org.eclipse.e4.ui.workbench.modeling.IModelProcessorContribution.ModelElement

Enclosing interface:
  IModelProcessorContribution

public static class IModelProcessorContribution.ModelElement extends Object
A model element to be added to the context used to invoke the processor.

## Constructor Summary

Constructors
Constructor
Description
`ModelElement(String id)`
`ModelElement(String id, String contextKey)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getContextKey()`
`String`
`getId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModelElement

public ModelElement(String id)

Parameters:
  `id` - Identifier of a model element to be added to the context.

### ModelElement

public ModelElement(String id, String contextKey)

Parameters:
  `id` - Identifier of a model element to be added to the context.
  `contextKey` - An optional key under which to store the model element in the context. The value of "id" is used if this value is not specified.

## Method Details

### getId

public String getId()

Returns:
  Identifier of a model element to be added to the context.

### getContextKey

public String getContextKey()

Returns:
  An optional key under which to store the model element in the context. The value of "id" is used if this value is not specified.